MICROTEK.EXE

The Microtek scanner driver is a Revision 6 scanner driver
(see REV6.DOC for more information) providing black and white
and gray scale scanning for current products and
3-pass 24 bit color scanning for Revision 6 compliant products.

The MICROTEK.EXE scanner driver is used for the following Microtek
scanners:

200A, 200C, 300A, 300C, 300G, 300Z, 400G, 600G, 600Z, 800G, and 800Z

The Microtek scanner driver requires the scanner driver MSCAN.SYS.
supplied by Microtek. MSCAN.SYS should be loaded before the driver.

You can run MICROTEK.EXE from your CONFIG.SYS, AUTOEXEC.BAT, or
other batch file. To manually add the device driver to your
CONFIG.SYS, use a text editor to type the entry as it appears
below. Be sure to include a path if the scanner driver is not
in your root directory. Remember to include additional parameters
when necessary.

CONFIG.SYS Entry
-----------------
device=MISCAN.SYS
device=MICROTEK.EXE

You may also need to add an application code parameter to the
MICROTEK.EXE line of your CONFIG.SYS entry depending on which
program you are using. If the parameter is omitted, the
application will still work, but may be missing some features.
PhotoFinish, Publisher's Paintbrush version 2.02 or higher, and
PC Paintbrush 5+ do not require an application code.

If you are using		  ...add this parameter
this program... 		  to your CONFIG.SYS entry.

PC Paintbrush Plus (DOS)	  /C1
PC Paintbrush Plus (Windows)	  /C2
PC Paintbrush IV Plus (DOS)	  /C3
Publisher's Paintbrush (Windows)  /C4

The MICROTEK.EXE scanner driver does support variable resolution.
However, the horizontal and vertical values must be equal or
you may experience unpredictable results.

The commands provided by the Microtek scanner driver are listed
below in the example of the /H parameter.

	Valid commands:

	/Cxx	= application Code
	/H	= display this Help text
	/?	= display this help text
	/Oxxxx	= I/O port (hex value)
	/Px	= I/O Port (0-5)
	/U	= Unload driver
	/V	= Verbose messages and status displays
	/0x	= Scanner head speed (1-5), where 1 is fastest (default is 3)
	/1	= Turn on DMA channel 1 (default is normal I/O)

/0
==

This command allows the user to select the head speed for scanning.
Slowspeeds give better quality but require more patients.
/01 is the fastest, /05 is the slowest and /03 is the default.

/1
==

The /1 command turns on DMA.  Normally the Microtek uses simple
I/O to send and receive data to/from the scanner.  When /1 is
used the scanner board will use DMA channel 1 for I/O (no other
channel is available).


The "built in" port addresses (/P or /O parameters) for the Microtek
are as follows:

	0 - 100h	ex: MICROTEK /p0  or  MICROTEK /o100
	1 - 120h	ex: MICROTEK /p1  or  MICROTEK /o120
	2 - 200h	ex: MICROTEK /p2  or  MICROTEK /o200
	3 - 220h	ex: MICROTEK /p3  or  MICROTEK /o220
	4 - 300h	ex: MICROTEK /p4  or  MICROTEK /o300
	5 - 320h	ex: MICROTEK /p5  or  MICROTEK /o320

The hardware settings for the Microtek are as follows (there are several
scanner boards available that can drive the Microtek scanners):

	MS-PCX and MS-PCY cards:

	     1	 2   3	 4   5	 6   7	 8     switch
    a	100  on  off on  on  on  on  on  on
    d	120  on  off on  on  off on  on  on
    d	200  off on  on  on  on  on  on  on
    r	220  off on  on  on  off on  on  on
    s	300  off off on  on  on  on  on  on
	320  off off on  on  off on  on  on

	MS-PCE card:

	     1	 2   3	 4   5	 6   7	 8     switch
    a	100  on  on  on  on  on  on  off on
    d	120  on  on  on  off on  on  off on
    d	200  on  on  on  on  on  on  on  off
    r	220  on  on  on  off on  on  on  off
    s	300  on  on  on  on  on  on  off off
	320  on  on  on  off on  on  off off


Microtek Messages
=================

	'Checking scanner...'

The checking message is displayed during initialization of the
scanner. Since this operation might take a few seconds the
scanner driver is informing the user, rather that look like it
has "locked up".


	'Supporting: ???????????'

This message is displayed upon successful initialization of the Microtek
scanner.  The name and model of the scanner found will be displayed.


Microtek Error Messages
=======================

	'MSCAN.SYS not found!  Driver NOT loaded.'

This message is displayed when the scanner driver can not find the "helper"
driver (MSCAN.SYS provided by Microtek, Inc.).	The Microtek scanner
driver requires that MSCAN.SYS be loaded before it is loaded.


	'Invalid speed specified.'

This message is displayed when the user specifies an invalid value
for the /0 parameter.


	'This Microtek scanner NOT supported!'

This message is displayed when the scanner driver detects a Microtek scanner
model that is unknown.


	'Scanner not responding (do you have the right address?)'

This message is displayed at initialization time if the scanner driver
cannot successfully communicate with the scanner.


	'Error communicating with MSCAN.SYS (????)'

This message is displayed when an error occurs while sending or receiving
information from MSCAN.SYS (the Microtek supplied driver).  An error code is
included in the message to help identify the problem.

